본문으로 건너뛰기
Twexapi
한국어
Esc
이동열기⌘J미리보기

리스트 멤버 페이징 조회

리스트 멤버 페이징 조회.

POST/twitter/list/members/page
API 인증
AuthorizationBearer token · header필수
TwexAPI 전역 인증 토큰 (Bearer Token). 헤더에 포함되어야 합니다: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
요청 본문
필수application/json
next_cursorstring | any
다음 페이지 조회를 위한 커서 (Cursor)
속성 표시
Any of:
string
string
any
any
list_idstring필수
The ID of the list to get members from.
응답
200Current page data (up to 20 members) and pagination metadata (has_next_page, next_cursor).
codeinteger필수
HTTP 상태 코드 (200은 성공)
msgstring필수
응답 메시지 (예: 'success')
dataUserModel[]필수
엔드포인트가 반환한 핵심 데이터
속성 표시
Array of UserModel
idstring필수
User ID
namestring필수
사용자 이름
screen_namestring필수
트위터 사용자명 (@ 제외)
created_atstring | any
작성 일시 (UTC 기준)
속성 표시
Any of:
string
string
any
any
created_at_datetimestring | any
Account creation datetime in ISO format
속성 표시
Any of:
string
string
any
any
can_dmboolean | any
Whether the user can be direct messaged
default: false
속성 표시
Any of:
boolean
boolean
any
any
can_media_tagboolean | any
Whether the user can be tagged in media
default: false
속성 표시
Any of:
boolean
boolean
any
any
default_profileboolean | any
Whether the user has a default profile
default: false
속성 표시
Any of:
boolean
boolean
any
any
default_profile_imageboolean | any
Whether the user has a default profile image
default: false
속성 표시
Any of:
boolean
boolean
any
any
descriptionstring | any
프로필 자기소개 (Bio)
default: ""
속성 표시
Any of:
string
string
any
any
description_urlsstring[]
List of URLs found in the user's description
default: []
urlsurlModel[] | any
List of URLs found in the user's profile
속성 표시
Any of:
urlModel[]
Array of urlModel
urlstring필수
URL
expanded_urlstring | any
Expanded URL
속성 표시
Any of:
string
string
any
any
display_urlstring | any
Display URL
속성 표시
Any of:
string
string
any
any
any
any
fast_followers_countinteger | any
Count of fast followers
default: 0
속성 표시
Any of:
integer
integer
any
any
favourites_countinteger | any
Number of tweets the user has liked
default: 0
속성 표시
Any of:
integer
integer
any
any
followers_countinteger | any
총 팔로워 수
default: 0
속성 표시
Any of:
integer
integer
any
any
following_countinteger | any
총 팔로잉 수
default: 0
속성 표시
Any of:
integer
integer
any
any
has_custom_timelinesboolean | any
Whether the user has custom timelines
default: false
속성 표시
Any of:
boolean
boolean
any
any
is_blue_verifiedboolean | any
Blue verification status
default: false
속성 표시
Any of:
boolean
boolean
any
any
verified_typestring | any
Verification badge type when not blue-only: blue, business, government, etc.
속성 표시
Any of:
string
string
any
any
is_verifiedboolean | any
True if the account has any verification badge (blue, business, government, or legacy verified)
default: false
속성 표시
Any of:
boolean
boolean
any
any
profile_image_shapestring | any
Profile image shape (Circle or Square; Square often indicates business/government)
속성 표시
Any of:
string
string
any
any
is_translatorboolean | any
Whether the user is a translator
default: false
속성 표시
Any of:
boolean
boolean
any
any
listed_countinteger | any
Number of public lists the user is a member of
default: 0
속성 표시
Any of:
integer
integer
any
any
locationstring | any
User's location
default: ""
속성 표시
Any of:
string
string
any
any
media_countinteger | any
Number of media tweets posted by the user
default: 0
속성 표시
Any of:
integer
integer
any
any
normal_followers_countinteger | any
Count of normal followers
default: 0
속성 표시
Any of:
integer
integer
any
any
pinned_tweet_idsstring[]
List of pinned tweet IDs
default: []
possibly_sensitiveboolean | any
Whether the user's profile may contain sensitive content
default: false
속성 표시
Any of:
boolean
boolean
any
any
profile_banner_urlstring | any
URL of the user's profile banner
속성 표시
Any of:
string
string
any
any
profile_image_urlstring | any
URL of the user's profile image
속성 표시
Any of:
string
string
any
any
protectedboolean | any
Whether the user's tweets are protected
default: false
속성 표시
Any of:
boolean
boolean
any
any
statuses_countinteger | any
Number of tweets posted by the user
default: 0
속성 표시
Any of:
integer
integer
any
any
has_next_pageboolean필수
다음 페이지 데이터 존재 여부
next_cursorstring | any
다음 페이지 조회를 위한 커서 (Cursor)
속성 표시
Any of:
string
string
any
any
422요청 매개변수 유효성 검사 오류
detailValidationError[]
속성 표시
Array of ValidationError
locstring | integer[]필수
속성 표시
Array of string | integer
Any of:
string
string
integer
integer
msgstring필수
응답 메시지 (예: 'success')
typestring필수
inputany
ctxobject
대화형 콘솔POST
대화형 콘솔 / API 테스트POST
Live Console
🌐대상 서버:https://api.twexapi.io
● 프로덕션 준비 완료
🔍
공개 데이터 조회 (TwexAPI 키만 필요, Twitter 쿠키 불필요)

이 엔드포인트는 공개 Twitter 데이터를 조회합니다. Twitter 계정이나 쿠키가 필요하지 않습니다! 아래 "API 인증"에 TwexAPI 플랫폼 키 (Bearer Token)를 입력하여 바로 테스트하세요.

🔑API 인증
📝요청 본문application/json
📡
暂无响应数据

请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。

요청 예시
curl -X POST "https://api.twexapi.io/twitter/list/members/page" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "next_cursor": "",
  "list_id": "string"
}'
응답 예시
{
  "code": 0,
  "msg": "string",
  "data": [
    {
      "id": "1717001045992251392",
      "name": "Cryptoklepto",
      "screen_name": "CK_Cryptoklepto",
      "created_at": "Mon Oct 28 02:32:47 +0000 2024",
      "created_at_datetime": "2024-10-28T02:32:47.000Z",
      "can_dm": false,
      "can_media_tag": false,
      "default_profile": false,
      "default_profile_image": false,
      "description": "",
      "description_urls": [],
      "urls": [
        {
          "url": "https://www.google.com",
          "expanded_url": "https://www.google.com",
          "display_url": "www.google.com"
        }
      ],
      "fast_followers_count": 0,
      "favourites_count": 0,
      "followers_count": 0,
      "following_count": 0,
      "has_custom_timelines": false,
      "is_blue_verified": false,
      "verified_type": "government",
      "is_verified": false,
      "profile_image_shape": "Circle",
      "is_translator": false,
      "listed_count": 0,
      "location": "New York, USA",
      "media_count": 0,
      "normal_followers_count": 0,
      "pinned_tweet_ids": [],
      "possibly_sensitive": false,
      "profile_banner_url": "string",
      "profile_image_url": "string",
      "protected": false,
      "statuses_count": 0
    }
  ],
  "has_next_page": true,
  "next_cursor": "1234567890"
}